Đến nội dung


Hình ảnh
- - - - -

xin thay đổi dấu ' thành phi Ø thép


  • Please log in to reply
7 replies to this topic

#1 laphonetens

laphonetens

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 March 2013 - 12:06 PM

minh co bản vẽ người ta qui định dấu ' là chữ phi thép , giờ mình muốn đổi tất cả lại, các bạn giúp mình nhé, làm bằng tay hơi lâu ,thành phi Ø thép các bạn hãy giúp mình nhahttp://www.cadviet.c...80_mong_cot.dwg


  • 0

#2 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 12 March 2013 - 12:17 PM

:D :D :D

http://www.cadviet.c...80_mong_cot.dwg

:D :D :D


  • 1

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#3 laphonetens

laphonetens

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 March 2013 - 12:58 PM

ban chỉnh cho mình lại dấu ~ thành phi thép hoặc bạn chỉ mình cách làm nha.

cám ơn ban nha


  • 0

#4 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 12 March 2013 - 01:30 PM

:D :D :D

Cách 1: gõ lệnh ED, pick vào text, sửa tùy ý.

Cách 2: Tách text ra riêng, xuất file PDF, dùng soft AI để sửa (Giống word)

Cách 3: xài lisp sau: ( lúa chưa xài bao giờ, chôm ở đây: http://forums.augi.c...om-another-text)

 

(vl-load-com)
(defun c:text_swap ( / AcDoc Space loop loop_while key_mod e1name e2name string1 string2)
(defun sel_onlyText (msg / js)
(princ msg)
(while
(not
(setq js
(ssget "_+.:E:S:N"
(list
(cons 0 "*TEXT,MULTILEADER,ATTRIB")
(cons 67 (if (eq (getvar "CVPORT") 2) 0 1))
(cons 410 (if (eq (getvar "CVPORT") 2) "Model" (getvar "CTAB"))))))))
(vlax-ename->vla-object (cadar (ssnamex js 0))))
(setq
AcDoc (vla-get-ActiveDocument (vlax-get-acad-object))
Space
(if (eq (getvar "CVPORT") 1)
(vla-get-PaperSpace AcDoc)
(vla-get-ModelSpace AcDoc))
loop nil)
(initget "Exchange Copy Multiple")
(while (eq (setq key_mod (getkword (strcat "\nFunction mode [Exchange/Copy/Multiple] " (if loop "**MULTIPLE** " "") "<Copy>: "))) "Multiple")
(cond
((not key_mod) (setq key_mod "Copy"))
((eq key_mod "Multiple") (setq loop T loop_while T) (initget "Exchange Copy Multiple"))))
(setq loop T)
(while (and loop (setq e1name (sel_onlyText "\nSelect text source: ")))
(setq
string1 (if (vlax-property-available-p e1name 'TextString) (vlax-get e1name 'TextString))
e2name (sel_onlyText "\nSelect text target: ")
string2 (if (vlax-property-available-p e2name 'TextString) (vlax-get e2name 'TextString)))
(cond
((and string1 string2)
(if (eq key_mod "Exchange") (vlax-put e1name 'TextString string2))
(vlax-put e2name 'TextString string1)))
(if loop_while
(progn (princ "\nESC for exit") (setq loop T))
(setq loop nil)))
(prin1))

 

Cách 4:...............................

Cách 5: Chờ tý.

Cách 6: Chưa nghĩ ra.

Cách 7: http://www.cadviet.c..._mong_cot_1.dwg

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#5 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 12 March 2013 - 01:31 PM

:D :D :D

http://www.cadviet.c...80_mong_cot.dwg

:D :D :D

 

Trời! Sao anh Hai Lúa tiếp kiệm nhời nói thế???

 

ban chỉnh cho mình lại dấu ~ thành phi thép hoặc bạn chỉ mình cách làm nha.

cám ơn ban nha

 

--Nhấp đúp chuột vào chỗ có dấu ngã ...ngửa  và huyền...bí (Hoặc gõ ED)  >>bôi đen dấu ~ hoặc ` >>>Copy dấu ~ hoặc `

 

--Gõ FIND >>>hiện bảng ....Paste... ~ hặc ` >>> Nhập %%C rồi bấm chọn loạn lên một hồi sẽ ra Ø

 

11837_7777.png



 


  • 1

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#6 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 12 March 2013 - 01:43 PM

:D :D :D

Vấn đề ở chỗ đề tài này dễ quá nên nếu trả lời dễ hiểu như bác em thì làm sao chủ top nhớ lâu được. Vậy 2 lúa mới nói vòng vòng để chủ tóp phát huy sáng kiến. 

Nếu bác chủ top thử xài cách 2 mà không tìm ra hướng thì 2 lúa cho rằng có 2 cách hiểu:

 1: Chủ top không biết xài word.

 2: Khó đào tạo (Cái này ko rõ lý do).

:D :D :D


  • 1

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#7 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 12 March 2013 - 01:48 PM

Vâng em hiểu ý của anh là vẫn còn có một cách số 8 nữa nhanh gọn hơn FIND ! :) :)


  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#8 leminhky23

leminhky23

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 March 2013 - 01:52 PM

thank cac a nha !uh a co biet làm đồ án tổ chức thi công không


  • 0